extends RigidBody2D

export(String,
	"bone",
	"book",
	"gem",
	"key",
	"soul",
	"staff"
) var item_type

func _ready():
	$AnimatedSprite.animation = item_type
	
	self.linear_velocity = Vector2(rand_range(-30, 30), rand_range(0, 10))
